<assembly xmlns="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.3"
          xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xsi:schemaLocation="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.3 http://maven.apache.org/xsd/assembly-1.1.3.xsd">

    <!-- we want to make a -bin.zip file -->
    <id>bin</id>

    <formats>
        <format>zip</format>
    </formats>

    <!-- we don't want a top level directory in the .zip -->
    <includeBaseDirectory>false</includeBaseDirectory>

    <dependencySets>
        <dependencySet>
            <outputDirectory>lib</outputDirectory>
            <unpack>false</unpack>
            <!-- this will include the .jar for this project too -->
        </dependencySet>
    </dependencySets>

    <fileSets>
        <fileSet>
            <outputDirectory>bin</outputDirectory>
            <fileMode>0755</fileMode>
            <directory>${project.build.scriptSourceDirectory}</directory>
        </fileSet>
        <fileSet>
            <outputDirectory>config</outputDirectory>
            <fileMode>0644</fileMode>
            <directory>src/main/config</directory>
        </fileSet>
        <!-- give keystores a bit of protection,
             and note that jks files are binary files -->
        <fileSet>
            <outputDirectory>keystores</outputDirectory>
            <fileMode>0600</fileMode>
            <directory>src/main/keystores</directory>
            <lineEnding>keep</lineEnding>
        </fileSet>
    </fileSets>

</assembly>
